Package htsjdk.samtools.cram.compression.fqzcomp

# Class FQZCompExternalCompressor

java.lang.Object
htsjdk.samtools.cram.compression.ExternalCompressor
htsjdk.samtools.cram.compression.fqzcomp.FQZCompExternalCompressor

public class FQZCompExternalCompressor extends ExternalCompressor

## Field Summary

### Fields inherited from class htsjdk.samtools.cram.compression.ExternalCompressor

`NO_COMPRESSION_ARG`

## Constructor Summary

Constructors
Constructor
Description
`FQZCompExternalCompressor(FQZCompEncode unused_fqzCompEncoder, FQZCompDecode fqzCompDecoder)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`compress(byte[] data, CRAMCodecModelContext unused_contextModel)`
Compress the data using the codec-specific context model.
`byte[]`
`uncompress(byte[] data)`

### Methods inherited from class htsjdk.samtools.cram.compression.ExternalCompressor

`equals, getCompressorForMethod, getMethod, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FQZCompExternalCompressor

public FQZCompExternalCompressor(FQZCompEncode unused_fqzCompEncoder, FQZCompDecode fqzCompDecoder)

## Method Details

### compress

public byte[] compress(byte[] data, CRAMCodecModelContext unused_contextModel)
Description copied from class: `ExternalCompressor`
Compress the data using the codec-specific context model.

Specified by:
  `compress` in class `ExternalCompressor`
Parameters:
  `data` - the data to compress
  `unused_contextModel` - the context model to use for compression; may be null
Returns:
  the compressed data

### uncompress

public byte[] uncompress(byte[] data)

Specified by:
  `uncompress` in class `ExternalCompressor`